org.keycloak.credential.hash

## Interface PasswordHashProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    Pbkdf2PasswordHashProvider

      public interface PasswordHashProvider
      extends Provider

  Author:
    Kunal Kerkar

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default String` | `encode(String rawPassword, int iterations)`
    `default void` | `encode(String rawPassword, int iterations, CredentialModel credential)` Deprecated. Exists due the backwards compatibility. It is recommended to use `encodedCredential(String, int)`}
    `PasswordCredentialModel` | `encodedCredential(String rawPassword, int iterations)`
    `default boolean` | `policyCheck(PasswordPolicy policy, CredentialModel credential)` Deprecated. Exists due the backwards compatibility. It is recommended to use `policyCheck(PasswordPolicy, PasswordCredentialModel)`
    `boolean` | `policyCheck(PasswordPolicy policy, PasswordCredentialModel credential)`
    `default boolean` | `verify(String rawPassword, CredentialModel credential)` Deprecated. Exists due the backwards compatibility. It is recommended to use `verify(String, PasswordCredentialModel)`
    `boolean` | `verify(String rawPassword, PasswordCredentialModel credential)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### policyCheck

          boolean policyCheck(PasswordPolicy policy,
                              PasswordCredentialModel credential)

    - #### encodedCredential

          PasswordCredentialModel encodedCredential(String rawPassword,
                                                    int iterations)

    - #### encode

          default String encode(String rawPassword,
                                int iterations)

    - #### verify

          boolean verify(String rawPassword,
                         PasswordCredentialModel credential)

    - #### policyCheck

          @Deprecated
          default boolean policyCheck(PasswordPolicy policy,
                                                  CredentialModel credential)

      Deprecated. Exists due the backwards compatibility. It is recommended to use `policyCheck(PasswordPolicy, PasswordCredentialModel)`

    - #### encode

          @Deprecated
          default void encode(String rawPassword,
                                          int iterations,
                                          CredentialModel credential)

      Deprecated. Exists due the backwards compatibility. It is recommended to use `encodedCredential(String, int)`}

    - #### verify

          @Deprecated
          default boolean verify(String rawPassword,
                                             CredentialModel credential)

      Deprecated. Exists due the backwards compatibility. It is recommended to use `verify(String, PasswordCredentialModel)`

Copyright © 2021 JBoss by Red Hat. All rights reserved.